All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support.tableview
Class BaseTableViewSupport

    com.sas.actionprovider.support.tableview.BaseTableViewSupport

All Implemented Interfaces:
  RelationalActionTypeKeysInterface, TableViewAreaInterface

Direct Known Subclasses:
  HttpTableViewSupport, SwingTableViewSupport

    public abstract class BaseTableViewSupport

implements TableViewAreaInterface, RelationalActionTypeKeysInterface

In the context of the ActionProvider framework, this Support class assists in the registering and retrieval of actions for the TableView.

Field Summary
`static java.lang.String` | `RB_KEY`

Fields inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`AREA_DISABLED, AREA_VALUE_ATTRKEY, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, NON_SPECIFIC_AREA, UNSUPPORTED, VIEWER_DISABLED`

Fields inherited from interface com.sas.actionprovider.support.tableview.TableViewAreaInterface
`COLUMN_HEADER_AREA, DATA_CELL_AREA, EDIT_COLUMN_AREA, EDIT_ROW_AREA, ROW_HEADER_AREA, TITLE_AREA`

Fields inherited from interface com.sas.actionprovider.support.tableview.RelationalActionTypeKeysInterface
`CALCULATED_ITEM_SELECTOR_ACTION, CLEAR_SORT_ACTION, EXCEPTION_HIGHLIGHTING_SELECTOR_ACTION, EXPORT_TO_ACTION, EXPORT_TO_EXCEL_ACTION, FILTER_SELECTOR_ACTION, FORMAT_SELECTOR_ACTION, MOVE_COLUMN_LEFT_ACTION, MOVE_COLUMN_RIGHT_ACTION, PERCENT_CALCULATIONS_SELECTOR_ACTION, QUERY_SELECTOR_ACTION, RANKING_SELECTOR_ACTION, SORT_COLUMN_ASCENDING_ACTION, SORT_COLUMN_DESCENDING_ACTION, SORT_SELECTOR_ACTION, TOTALS_SELECTOR_ACTION`

Constructor Summary
`BaseTableViewSupport(java.lang.Class actionClass)` Default Constructor

Method Summary
`protected BaseAction` | `createAndRegisterAction(java.lang.String areaType, java.lang.String actionType)`
`protected void` | `createDefaultActions()` Initializes the actionClass property and creates the default actions that this class supports.
`protected java.lang.Object` | `getCustomAttributeValue(java.lang.String attributeName, ActionSupportFilter filter)` Returns a value for a specific custom attribute.
`void` | `initialize()` Initializes the support class.
`protected void` | `registerDynamicValueInfo()` Registers, via addDynamicValueInfo method, the dynamic value information for different areas.
`protected boolean` | `validArea(Area area, ActionSupportFilter filter)` Validates that the given Area's 'type' and, if specified, its 'value' constraints are met by the information provided on the action filter.

Methods inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`addDefaultAction, getAction, getActionId, getActionOrderList, getActionProvider, getActions, getActionScopeAttribute, getActionScopeAttributeMap, getDefaultAction, getLocale, listActionTypes, listAreaTypes, listDefaultActions, newActionInstance, reset, setAction, setActionOrderList, setActionProvider, setLocale`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### BaseTableViewSupport

    public BaseTableViewSupport(java.lang.Class actionClass)

  Default Constructor

  Parameters:
    `actionClass` - The class used to instantiate new actions.

Method Detail

### registerDynamicValueInfo

    protected void registerDynamicValueInfo()

  Registers, via addDynamicValueInfo method, the dynamic value information for different areas.

### initialize

    public void initialize()

  Initializes the support class. The method calls the createDefaultActions method.

  Specified by:
    `initialize` in class `BaseActionProviderSupport`
  See Also:
    `BaseActionProviderSupport.setLocale(java.util.Locale)`

### createDefaultActions

    protected void createDefaultActions()

  Initializes the actionClass property and creates the default actions that this class supports. This method is called by the action provider that instantiates this support class.

### validArea

    protected boolean validArea(Area area,
                                ActionSupportFilter filter)

  Validates that the given Area's 'type' and, if specified, its 'value' constraints are met by the information provided on the action filter. If the Area is null or its 'type' is null then boolean true is returned because then there are no constraints specified and, therefore, any specification of the current area on the actionFilter must be valid. Otherwise, the method validates that the area 'type' and, if specified, area 'value' match the current area state represented by information on the actionFilter. In the DATA_CELL_AREA, the Area 'values' should be the name of a column header that matches the header of the column corresponding to the column index provided on the action filter.

  Specified by:
    `validArea` in class `BaseActionProviderSupport`
  Parameters:
    `area` - The Area object that may or may not specify certain area 'values'.
    `actionFilter` - the ActionSupportFilter that the component passed as an argument on the getActions() method.
  Returns:
    a boolean indicating whether the current area represented on the actionFilter matches any of the specified values on the Area object.
  See Also:
    `BaseActionProviderSupport.setAction(com.sas.actionprovider.BaseAction, java.util.Collection, com.sas.actionprovider.Area)`, `BaseActionProviderSupport.getActions(com.sas.actionprovider.ActionSupportFilter)`

### createAndRegisterAction

    protected BaseAction createAndRegisterAction(java.lang.String areaType,
                                                 java.lang.String actionType)

### getCustomAttributeValue

    protected java.lang.Object getCustomAttributeValue(java.lang.String attributeName,
                                                       ActionSupportFilter filter)

  Description copied from class: `BaseActionProviderSupport`
  Returns a value for a specific custom attribute.

  If a support class can derive custom attribute values, then it should override this method.

  Otherwise, this method returns null.

  Overrides:
    `getCustomAttributeValue` in class `BaseActionProviderSupport`
  Parameters:
    `attributeName` - The name of the custom attribute
    `filter` - The object that encapsulates all the specific query information.
  Returns:
    a value for a specific custom attribute.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.